cURL
curl -X GET \
/payment/transactions/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/payment/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/payment/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/payment/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"type": "payment",
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "Visa (4242)",
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"gateway": "bank_transfer",
"status": "new",
"description": "Payment for invoice #123",
"documentNumber": "123456789",
"currencyCode": "EUR",
"amount": 500,
"refundedAmount": 123,
"chargedAmount": 500,
"feeAmount": 50,
"createdAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z",
"authorized": true,
"refundable": true,
"processing": true,
"captured": true,
"invoice": {
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "Visa (4242)",
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"status": "STATUS_DRAFT",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"customFields": {
"field1": "value1",
"field2": "value2"
},
"unpaidAmount": {}
},
"referenceId": "ch_1J3AJ2"
}Transaction
Get transaction
Get a payment transaction, which represents a payment, refund or payout.
GET
/
payment
/
transactions
/
{id}
cURL
curl -X GET \
/payment/transactions/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/payment/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/payment/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/payment/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"type": "payment",
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "Visa (4242)",
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"gateway": "bank_transfer",
"status": "new",
"description": "Payment for invoice #123",
"documentNumber": "123456789",
"currencyCode": "EUR",
"amount": 500,
"refundedAmount": 123,
"chargedAmount": 500,
"feeAmount": 50,
"createdAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z",
"authorized": true,
"refundable": true,
"processing": true,
"captured": true,
"invoice": {
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "Visa (4242)",
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"status": "STATUS_DRAFT",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"customFields": {
"field1": "value1",
"field2": "value2"
},
"unpaidAmount": {}
},
"referenceId": "ch_1J3AJ2"
}Autorisierungen
Antwort
Transaction resource
The payment gateway which was used for this transaction.
Possible values:
paypal: PayPal (supports "paypal")stripe: Stripe (supports "card")testing: Testing (supports all)go_cardless: GoCardless (supports "sepa_debit")bank_transfer: Bank Transfer (supports "bank_transfer")sepa_debit: SEPA Credit and Debit with xml file (supports "sepa_debit")wallet: Credit Balance from Wallet (supports "wallet")
Beispiel:
"bank_transfer"
The status of the transaction.
Possible values:
new: The transaction is new and not yet processed. A new transaction is created when a payment is initiated.authorized: The transaction is authorized and can be captured.authorizing: The transaction is authorizing. No actions can be performed on the transaction.waiting: The transaction is waiting for a response from the payment provider, or a customer input. No actions can be performed on the transaction.offsite_authorization_required: The transaction requires an offsite authorization, e.g. 3D Secure. The customer is informed about the required authorization and redirected to the payment provider.booked: The transaction is captured and booked on the account.captured: The transaction is captured and will be booked on the account.dispute: The transaction is disputed.manual: Legacy status. Do not use.canceled: The transaction is canceled, e.g. by the customer during the payment process, or by the merchant.pending: The transaction is pending, and will be processed soon by the payment provider.expired: The transaction is expired, e.g. because the customer did not complete the payment process in time.processing: The transaction is processing, e.g. because the payment provider is currently processing the payment.failed: The transaction failed, e.g. because the payment provider could not process the payment.unknown: The transaction status is unknown.refunded: The transaction is fully refunded.payedout: The transaction was a payout.partial_refunded: The transaction is partially refunded.refund_failed: The transaction refund failed.
Beispiel:
"new"
War diese Seite hilfreich?